import request from '@/utils/request'

// 查询项目申报v2列表
export function listPlan(query) {
  return request({
    url: '/scientific/plan/list',
    method: 'get',
    params: query
  })
}

// 查询项目申报v2详细
export function getPlan(handbookId) {
  return request({
    url: '/scientific/plan/' + handbookId,
    method: 'get'
  })
}

// 新增项目申报v2
export function addPlan(data) {
  return request({
    url: '/scientific/plan',
    method: 'post',
    data: data
  })
}

// 修改项目申报v2
export function updatePlan(data) {
  return request({
    url: '/scientific/plan',
    method: 'put',
    data: data
  })
}

// 删除项目申报v2
export function delPlan(handbookId) {
  return request({
    url: '/scientific/plan/' + handbookId,
    method: 'delete'
  })
}
