package com.ruoyi.scientific.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目申报指南业务对象 handbook
 *
 * @author zqjia
 * @date 2024-07-29
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class HandbookBo extends BaseEntity {

    /**
     * 项目ID
     */
    @NotNull(message = "项目ID不能为空", groups = { EditGroup.class })
    private Long handbookId;

    /**
     * 指南名称
     */
    @NotBlank(message = "指南名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookName;

    /**
     * 指南分类
     */
    @NotBlank(message = "指南分类不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookCategory;

    /**
     * 指南级别(4院级 3市级 2省级 1国家级)
     */
    @NotBlank(message = "指南级别(4院级 3市级 2省级 1国家级)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookLevel;

    /**
     * 发布时间
     */
    @NotNull(message = "发布时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date handbookDate;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookNote;

    /**
     * 指南文件
     */
    @NotBlank(message = "指南文件不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookFile;

    /**
     * 指南录入流程实例Id
     */
    @NotBlank(message = "指南录入流程实例Id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookProcId;

    /**
     * 指南录入流程状态(0未发起审核 1审核中 2审核失败 3审核通过)
     */
    @NotBlank(message = "指南录入流程状态(0未发起审核 1审核中 2审核失败 3审核通过)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookStatus;


}
