package com.ruoyi.scientific.service;

import com.ruoyi.scientific.domain.Handbook;
import com.ruoyi.scientific.domain.vo.HandbookVo;
import com.ruoyi.scientific.domain.bo.HandbookBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目申报指南Service接口
 *
 * @author zqjia
 * @date 2024-07-29
 */
public interface IHandbookService {

    /**
     * 查询项目申报指南
     */
    HandbookVo queryById(Long handbookId);

    /**
     * 查询项目申报指南列表
     */
    TableDataInfo<HandbookVo> queryPageList(HandbookBo bo, PageQuery pageQuery);

    /**
     * 查询项目申报指南列表
     */
    List<HandbookVo> queryList(HandbookBo bo);

    /**
     * 新增项目申报指南
     */
    Boolean insertByBo(HandbookBo bo);

    /**
     * 修改项目申报指南
     */
    Boolean updateByBo(HandbookBo bo);

    /**
     * 校验并批量删除项目申报指南信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
